package com.ruoyi.order.mapper;

import java.util.List;
import com.ruoyi.order.domain.TCanteenOrder;

/**
 * 订单Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public interface TCanteenOrderMapper 
{
    /**
     * 查询订单
     * 
     * @param orderId 订单主键
     * @return 订单
     */
    public TCanteenOrder selectTCanteenOrderByOrderId(Long orderId);

    /**
     * 查询订单列表
     * 
     * @param tCanteenOrder 订单
     * @return 订单集合
     */
    public List<TCanteenOrder> selectTCanteenOrderList(TCanteenOrder tCanteenOrder);

    /**
     * 新增订单
     * 
     * @param tCanteenOrder 订单
     * @return 结果
     */
    public int insertTCanteenOrder(TCanteenOrder tCanteenOrder);

    /**
     * 修改订单
     * 
     * @param tCanteenOrder 订单
     * @return 结果
     */
    public int updateTCanteenOrder(TCanteenOrder tCanteenOrder);

    /**
     * 删除订单
     * 
     * @param orderId 订单主键
     * @return 结果
     */
    public int deleteTCanteenOrderByOrderId(Long orderId);

    /**
     * 批量删除订单
     * 
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCanteenOrderByOrderIds(Long[] orderIds);
}
